from area4 import utils


def bold(string):
    return "**" + string + "**"


def italics(string):
    return "*" + string + "*"


hr = utils.markdown_horizontal()


class LinkBuilder(object):
    def __init__(self):
        self._end = ""
        self._display = None
        self._url = None
        self._refresh()

    def _refresh(self):
        tmpone = ""
        tmptwo = ""
        if self._display is None:
            tmpone = ""
        else:
            tmpone = self._display
        if self._url is None:
            tmptwo = ""
        else:
            tmptwo = self._url
        self._end = "[" + tmpone + "](" + tmptwo + ")"

    def get_url(self):
        return self._url

    def set_url(self, url):
        self._url = url
        self._refresh()

    def get_display(self):
        return self._display

    def set_display(self, display):
        self._display = display
        self._refresh()

    def build(self):
        return self._end

    def __str__(self):
        return self.build()


class ImageLinkBuilder(object):
    def __init__(self):
        self._end = ""
        self._display = None
        self._url = None
        self._refresh()

    def _refresh(self):
        tmpone = ""
        tmptwo = ""
        if self._display is None:
            tmpone = ""
        else:
            tmpone = self._display
        if self._url is None:
            tmptwo = ""
        else:
            tmptwo = self._url
        self._end = "![" + tmpone + "](" + tmptwo + ")"

    def get_url(self):
        return self._url

    def set_url(self, url):
        self._url = url
        self._refresh()

    def get_display(self):
        return self._display

    def set_display(self, display):
        self._display = display
        self._refresh()

    def build(self):
        return self._end

    def __str__(self):
        return self.build()

    def __str__(self):
        return "!" + self.build()


class Heading(object):
    def __init__(self, hlevel, string):
        self.count = hlevel
        self.string = string


class HOne(Heading):
    def __init__(self):
        super().__init__(1, "#")


class HTwo(Heading):
    def __init__(self):
        super().__init__(2, "##")


class HThree(Heading):
    def __init__(self):
        super().__init__(3, "###")


class HFour(Heading):
    def __init__(self):
        super().__init__(4, "####")


class HFive(Heading):
    def __init__(self):
        super().__init__(5, "#####")


class HSix(Heading):
    def __init__(self):
        super().__init__(6, "######")
