"""Builds the package."""

import setuptools

# Package version:
VERSION = "1.0.7"

# Read the long description:
with open("README.md", mode="r") as FILE_HANDLER:
    LONG_DESCRIPTION = FILE_HANDLER.read()

# Keywords:
TAGS = [
    "markdown"
]

# GitHub URL:
MainURL = "https://github.com/RDIL/Markdown.py"

# Other Project URLs:
URLs = \
    {
        "Bug Tracker": "https://github.com/RDIL/Markdown.py/issues",
        "Source Code": "https://github.com/RDIL/Markdown.py",
        "License": "https://github.com/RDIL/Markdown.py/blob/master/LICENSE",
    }


setuptools.setup(
    name="rdilmarkdown",
    version=VERSION,
    author="Reece Dunham",
    author_email="me@rdil.rocks",
    description="Markdown in Python.",
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    url=MainURL,
    license="MIT",
    packages=setuptools.find_packages(),
    project_urls=URLs,
    keywords=TAGS,
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        "area4<=2.9.0"
    ]
)
